NewWacht Bench is live — AI-assisted development for Wacht

Get User Signins

GET
/users/{user_id}/sessions

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

user_id*string

Query Parameters

include_expired?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/users/string/sessions"
{
  "data": [
    {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "session_id": "string",
      "user_id": "string",
      "active_organization_membership_id": "string",
      "active_workspace_membership_id": "string",
      "expires_at": "2019-08-24T14:15:22Z",
      "last_active_at": "2019-08-24T14:15:22Z",
      "ip_address": "string",
      "browser": "string",
      "device": "string",
      "city": "string",
      "region": "string",
      "region_code": "string",
      "country": "string",
      "country_code": "string"
    }
  ],
  "total": 0,
  "offset": 0,
  "limit": 0
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}